Bug 139885 - [maintainer-update][patch] devel/diffuse: Add path fix, add NOPORTDATA support
Summary: [maintainer-update][patch] devel/diffuse: Add path fix, add NOPORTDATA support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-24 14:10 UTC by Marco Bröder
Modified: 2009-12-22 11:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.88 KB, patch)
2009-10-24 14:10 UTC, Marco Bröder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2009-10-24 14:10:02 UTC
Changelog:

Add additional path fix for etc directory. Bump 'PORTREVISION' to
ensure a new package build.

Add 'NOPORTDATA=yes' conditional patch / installation handling.

Notified by FreeBSD QAT email about a mtree error regarding
'${DATADIR}/syntax' leftovers when defining 'NOPORTDATA=yes'.

It was never intended to support a 'NOPORTDATA=yes' installation,
because it was assumed, the software expects the syntax files to
be always present. 'PORTDATA' was just defined to allow reduce of
'pkg-plist' file size. So all syntax files were always installed.
But QAT really wants a support for the 'NOPORTDATA=yes' case. The
software seems to work fine without syntax files, so it is
possible to add such a support.

Many thanks!

Regards

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2009-10-29 09:20:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Marco Bröder 2009-11-30 21:38:29 UTC
Quick reminder, just in case it is out of sight. ;-) 

Thanks for taking care!

-- 
Regards
Comment 3 Marco Bröder 2009-12-21 20:21:50 UTC
Hello,

soon this PR is getting two months old. Besides the initial assignment, there 
was no further response or action, not even after my followup email a month 
ago. It is an unusual long delay compared to my previous experience of the 
overall ports PRs flow.

I extensively tested the port with all the possible (2^5 = 32) combinations of 
options the port provides (build, install, deinstall, pkg_add, pkg_delete, 
runtime). Everything went smooth and clean. I use the port myself regularly 
and did not encounter any problems.

So is anything wrong with it, I should know? Or was this PR just out of sight?

Thank you in advance!

Merry Christmas!

-- 
Regards
Comment 4 Martin Wilke freebsd_committer 2009-12-22 11:39:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2009-12-22 11:39:28 UTC
miwi        2009-12-22 11:39:08 UTC

  FreeBSD ports repository

  Modified files:
    devel/diffuse        Makefile 
  Log:
  - Fix NOPORT*
  
  PR:             139885
  Submitted by:   Marco Bröder <marco.broeder@gmx.eu> (maintainer)
  
  Revision  Changes    Path
  1.8       +21 -4     ports/devel/diffuse/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"